Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Umgebungsabhängiges Menü

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Direct Editing in SOLIDWORKS
Autor Thema:   Umgebungsabhängiges Menü (1499 mal gelesen)
Kricher
Mitglied
Entwickler


Sehen Sie sich das Profil von Kricher an!   Senden Sie eine Private Message an Kricher  Schreiben Sie einen Gästebucheintrag für Kricher

Beiträge: 270
Registriert: 10.09.2004

erstellt am: 21. Feb. 2012 09:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Ihr,

ich versuche ein umgebungsabhängiges Menü (für ein Addin) zu erstellen, habe da aber ein Problem mit dem Menüs.
Die Ribbons sind jeweils nur in der gewollten Umgebung sichtbar, für das Menü gilt das aber nicht. Bei mir wird somit in der Drawingumgebung auch das Menü der Partumgebungs usw. angezeigt.
Ich bin davon ausgegangen, wenn ich auf der jeweiligen ICommandGroup die Methode put_ShowInDocumentType(envToShow) aufrufe, dass dies zum Ziel führen würde.

Ist das generell nicht möglich in SW oder mache ich da was falsch.

Danke

Kricher

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 702
Registriert: 18.05.2005

SolidWorks 2018 x64 SP4.0
Dell Precision 5820
Intel Xeon W-2125 4x4GHz
NVIDIA Quadro P2000 5GB
32GB RAM
2x Dell U2412M, 24" TFT
Windows 10 Enterprise x64 1703
Microsoft Office 365 ProPlus
Microsoft Visual Studio Enterprise 2019

erstellt am: 21. Feb. 2012 11:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Kricher 10 Unities + Antwort hilfreich

Hallo Du

Hab es mal probiert und bei mir hat's geklappt.
Mein Code in VB.net

Code:
Dim cmdGroup As ICommandGroup
cmdGroup = iCmdMgr.CreateCommandGroup(1, "Title1", "ToolTip1", "", -1)
cmdGroup.ShowInDocumentType = swDocTemplateTypes_e.swDocTemplateTypePART
cmdGroup.Activate()

Dim cmdGroup2 As ICommandGroup
cmdGroup2 = iCmdMgr.CreateCommandGroup(2, "Title2", "ToolTip2", "", -1)
cmdGroup2.ShowInDocumentType = swDocTemplateTypes_e.swDocTemplateTypeDRAWING
cmdGroup2.Activate()


Siehe auch Beispiel:
Create Submenus in the CommandManager Example (C#)

Gruss Andreas

PS:Crosspostings sind nicht gerne gesehen...
http://ww3.cad.de/foren/ubb/Forum233/HTML/000237.shtml
http://ww3.cad.de/cgi-bin/ubb/Ultimate.cgi?action=agree

------------------
21 ist nur die halbe Antwort.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kricher
Mitglied
Entwickler


Sehen Sie sich das Profil von Kricher an!   Senden Sie eine Private Message an Kricher  Schreiben Sie einen Gästebucheintrag für Kricher

Beiträge: 270
Registriert: 10.09.2004

erstellt am: 21. Feb. 2012 11:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Andreas,

erst mal Danke für Deine Infos. Werde ich gleich lesen und durcharbeiten.
Crossposting war versehen, hatte ich gestern in der falschen Gruppe eingetragen und mich heute schon gewundert, wo mein Eintrag hin ist


CUSee You

Kricher

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kricher
Mitglied
Entwickler


Sehen Sie sich das Profil von Kricher an!   Senden Sie eine Private Message an Kricher  Schreiben Sie einen Gästebucheintrag für Kricher

Beiträge: 270
Registriert: 10.09.2004

Solid Edge (ST6 - SE2019)
SolidWorks (2014 - 2019)
DraftSight 2016 und 2018
Creo Elements Direct Modeling
(SolidDesigner V17, V18, V19, V20)
Inventor 2018
ACAD/Mechanical 2018

erstellt am: 21. Feb. 2012 13:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Soooo, funzt jetzt. Ich hatte die jeweiligen Gruppen vor dem Setzen der Sichtbarkeit aktiviert!
Jetzt bliebt mir nur noch die Hauptumgebung (oder keine Umgebung). Sind dort eigene Ribbons nicht möglich?

SW stürzt ab, wenn ich nachfolgenden Code verwende:

Code:

  CComPtr<ICommandTab> cmdTab = NULL;
  long TabCount;
  iCmdMgr->GetCommandTabCount(swDocNONE, &TabCount);
  // check if tab exists
  iCmdMgr->GetCommandTab(swDocNONE, title, &cmdTab);
  if(cmdTab == NULL)
  {
    // if not, add one
    iCmdMgr->AddCommandTab(swDocNONE, title, &cmdTab);

    CComPtr<ICommandTabBox> cmdBox;
    cmdTab->AddCommandTabBox(&cmdBox);




Beim letzten Befehl knallt es!
Bei allen anderen Umgebungen (Baugruppe, Drawing, Part) funzt es

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 702
Registriert: 18.05.2005

erstellt am: 21. Feb. 2012 14:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Kricher 10 Unities + Antwort hilfreich

Hallo nochmal

Der Befehlsmanager wird, wenn kein Dokument geöffnet ist, nicht angezeigt.
Somit kann dann auch kein Ribbon (CommandManager Tab) hinzugefügt werden.

AddCommandTab lässt nur die Typen swDocumentTypes_e.swDocASSEMBLY, swDocumentTypes_e.swDocDRAWING, swDocumentTypes_e.swDocPART zu.

Gruss Andreas

------------------
21 ist nur die halbe Antwort.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kricher
Mitglied
Entwickler


Sehen Sie sich das Profil von Kricher an!   Senden Sie eine Private Message an Kricher  Schreiben Sie einen Gästebucheintrag für Kricher

Beiträge: 270
Registriert: 10.09.2004

Solid Edge (ST6 - SE2019)
SolidWorks (2014 - 2019)
DraftSight 2016 und 2018
Creo Elements Direct Modeling
(SolidDesigner V17, V18, V19, V20)
Inventor 2018
ACAD/Mechanical 2018

erstellt am: 21. Feb. 2012 14:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Andreas,

bin ich jetzt auch von ausgegangen und ist auch OK so.
Danke nochmals für Deine Bestätigung und Mühe.
Bin das erste Mal mit SW unterwegs, deshalb wohl auch mal blöde Fragen (und wie immer muss alles schnell gehen  ).

Bis denne

Kricher

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz